// 对Date的扩展，将 Date 转化为指定格式的String
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符， 
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字) 
// 例子： 
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423 
// (new Date()).Format("yyyy-M-d h:m:s.S")      ==> 2006-7-2 8:9:4.18 
Date.prototype.Format = function (fmt) { //author: meizz 
    var o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "h+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    for (var k in o)
        if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
    return fmt;
}


// 代金券消费
function queryOrderCheckList(urls, queryParams,state) {
    // 默认查询第一页 query查询时保存当前条件
    var TempPageNumber = 1, pageSize = 10;
    try {
        TempPageNumber = $('#datatable2').datagrid('getPager').pagination("options").pageNumber;
        pageSize = $('#datatable2').datagrid('getPager').pagination("options").pageSize;
    } catch (e) {

    }
    $('#datatable')
        .datagrid(
            {
                title: "对账列表",
                iconCls: 'icon-search',
                pageNumber: TempPageNumber,
                pageSize: pageSize,
                pageList: [10, 50],
                nowrap: true,
                striped: true,
                border: true,
                noheader: true,
                url: urls,
                loadMsg: '数据加载中......',
                queryParams: queryParams,
                remoteSort: false,
                fitColumns: true,
                singleSelect: false,
                columns: [[
                    {
                        field: 'ORDER_CODE',
                        title: '案件编号',
                        sortable: 'true',
                        align: 'left',
                        width: 40
                    }, {
                        field: 'VIN_NO',
                        title: 'VIN码',
                        sortable: 'true',
                        align: 'left',
                        width: 40,

                    },
                    {
                        field: 'NAME',
                        title: '服务商',
                        sortable: 'true',
                        align: 'left',
                        width: 40,
                        styler: function (value, row, index) {
                            if (state == '1') {
                                // var str = '<a href="' + paraUrls + row.code + '" name="opera" class="easyui-linkbutton" >查看详情</a>';
                                // return str;
                                $('#datatable').datagrid('hideColumn', 'NAME');
                                return 'display:none;'
                            } else {
                                return value;
                            }

                        }

                    },{
                        field: 'ADDRESS',
                        title: '案件事发地',
                        sortable: 'true',
                        align: 'left',
                        width: 60
                    },
                    {
                        field: 'SERVICE_NAME',
                        title: '服务类型',
                        sortable: 'true',
                        align: 'left',
                        width: 20
                    },
                    {
                        field: 'CREATE_TIME',
                        title: '开案时间',
                        sortable: 'true',
                        align: 'left',
                        width: 30,
                        formatter:  function (value, row, index) {
                            return new Date(value).Format("yyyy-MM-dd hh:mm")
                        }
                    },{
                        field: 'RECUESTATE',
                        title: '完成情况',
                        sortable: 'true',
                        align: 'center',
                        width: 15,
                        formatter: function (value, row, index) {
                            switch (value) {
                                case  '51':
                                    return "取消服务";
                                case  '53':
                                    return "救援失败";
                                case  '55':
                                    return "救援成功";
                            }
                        }
                    },
                    {
                        field: 'MONEY',
                        title: '结算费用',
                        sortable: 'true',
                        align: 'center',
                        width: 20,
                        formatter: function (value, row, index) {
                            var ALL_FEE1 = parseInt(row.MONEY) + parseInt(row.MONEY);
                            return ALL_FEE1 || '0';
                        }
                    },
                    {
                        field: 'ACCOUNTSTATE',
                        title: '结算状态',
                        sortable: 'true',
                        align: 'left',
                        width: 25,
                        formatter: function (value, row, index) {
                            switch (value) {
                                case  '2':
                                    return "对账中";
                                case  '3':
                                    return "对账中";
                                case  '4':
                                    return "对账完成";
                                case  '6':
                                    return "开票完成";
                                default :
                                    return "对账中";
                            }
                        }
                    },
                    {
                        field: 'operation',
                        title: '操作',
                        sortable: 'true',
                        align: 'left',
                        width: 20,
                        formatter: function (value, row, index) {
                            var str = '<a href="#" name="opera" class="easyui-linkbutton opera" onclick=showDetail(' + index+ ')>详情</a>';
                            return str;
                        }
                    }
                ]],
                pagination: true,
                rownumbers: false,
                onLoadSuccess: function (data) {
                }

                ,
                toolbar: [],
                onCheck: function (rowIndex, rowData) {
                }

                ,
                onCheckAll: function (rows) {
                }
                ,
                onUncheck: function (rowIndex, rowData) {
                }
                ,
                onLoadSuccess: function (data) {
                }
                ,
                onUncheckAll: function (rows) {
                }

            }
        )
    ;
}

function showDetail(index) {
    var order = $('#datatable').datagrid('getRows')[index]

    $("#checkInfoEdit_windowContent").show();
    $("#i-orderCode").html(order.ORDER_CODE);
    $("#i-orderState").html(function () {
        switch (order.RECUESTATE) {
            case  '51':
                return "取消服务";
            case  '53':
                return "救援失败";
            case  '55':
                return "救援成功";
            default :
                return "未完成";
        }
    });
    $("#i-checkState").html(function () {
        switch (order.ACCOUNTSTATE) {
            case  '2':
                return "未填写";
            case  '3':
                return "等待审核";
            case  '4':
                return "对账完成";
            case  '6':
                return "开票完成";
            default :
                return "对账中";
        }
    });
    $("#i-serviceName").html(order.SERVICE_NAME);
    $("#i-address").html(order.ADDRESS);
    if (order.DESTINATION != null && order.DESTINATION != '') {
        $('.i-destAddressTR').show();
        $("#i-destAddress").html(order.DESTINATION);
    } else {
        $('.i-destAddressTR').hide();
    }
    if (order.FLOW_ID == "1") {
        $('.i-refMileageTR').hide();
    }else{
        $('.i-refMileageTR').show();
    }
    $("#i-companyName").html(order.NAME);
    $("#i-frameCode").html(order.VIN_NO);
    $('#i-totalFee').html(parseInt(order.MONEY)+parseInt(order.MONEY));
    $('#i-refMileage').html(parseInt(order.MILE)||0);
}